
<mat-form-field class="cursor-pointer" appearance="outline" (click)="file.click()">
  <div class="loader" [ngStyle]="{ 'width': percentage + '%' }" [ngClass]="{ animated: uploading }">
    <span class="percentage" *ngIf="showNumberPercentage && percentage !== 0 && percentage !== 100">{{ percentage }}%</span>
  </div>
  <mat-label>{{ placeholder }}</mat-label>
  <input class="file-input-visible readonly-pointer" matInput="matInput" [value]="localFileName" readonly="readonly"/>
  <input name="file" [hidden]="fileData['fileName']" #file="" type="file" (change)="fileChangeHandler($event)" [disabled]="isDisabled"/>
  <mat-icon class="mr-12 s-24 secondary-text cursor-pointer" matSuffix="matSuffix" *ngIf="!fileData['fileName']">attachment</mat-icon>
  <mat-icon class="mr-12 s-24 secondary-text cursor-pointer" matSuffix="matSuffix" *ngIf="fileData['fileName']" (click)="cancelClickHandler()">cancel</mat-icon>
  <mat-icon class="mr-12 s-24 secondary-text cursor-pointer" matSuffix="matSuffix" *ngIf="fileData['fileName']" (click)="download(fileData); $event.stopPropagation()">forward</mat-icon>
  <a *ngIf="fileData[fileUrl]" [href]="fileData[fileUrl]" matSuffix="matSuffix">
    <mat-icon class="mr-12 s-24 secondary-text cursor-pointer">arrow_downward</mat-icon>
  </a>
</mat-form-field>